/* 
 * Copyright (C) 2003 Tim Martin
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */


#ifndef SDLWIN_H
#define SDLWIN_H

#include <gtk/gtk.h>
#include <gdk/gdkx.h>
#include "screen.h"
#include "player.h"

int sdlwin_init(GtkWidget *widget);

void sdlwin_draw_spot(display_t *display, map_t *map, player_t *me, screen_t *screen, tiles_t *tiles, int screen_moved, int mapx, int mapy, int x, int y);

void sdlwin_clearscreen(void);

void sdlwin_updatescreen(void);

void *sdlwin_loadimage(char *filename, 
		       int request_width, int request_height,
		       int *extra_height, 
		       void *rock);

void sdlwin_clearcost(void);
int sdlwin_getcost(void);

#endif /* SDLWIN_H */
